<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateBkashPaymentResellerReportsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('bkash_payment_reseller_reports', function (Blueprint $table) {
            $table->id();
            $table->string('merchantInvoiceNumber');
            $table->string('paymentID')->nullable();
            $table->integer('client_id');
            $table->integer('reseller_id');
            $table->integer('pop_id');
            $table->string('amount');
            $table->string('transactionStatus');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('bkash_payment_reseller_reports');
    }
}
